Bug 245818 - textproc/utf8proc: Update to 2.5.0 and enable "make test"
Summary: textproc/utf8proc: Update to 2.5.0 and enable "make test"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-22 10:54 UTC by daniel.engberg.lists
Modified: 2020-05-24 01:15 UTC (History)
2 users (show)

See Also:
mandree: maintainer-feedback+


Attachments
Patch for utf8proc (1.75 KB, patch)
2020-04-22 10:54 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for utf8proc v2 (1.77 KB, patch)
2020-04-22 12:15 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-04-22 10:54:12 UTC
Created attachment 213676 [details]
Patch for utf8proc

Update utf8proc to 2.5.0
Enable "make test"

Tested on FreeBSD 13.0-CURRENT #0 r358620 (AMD64) - make test
Poudriere OK on 12.1-RELEASE (AMD64)
Comment 1 daniel.engberg.lists 2020-04-22 12:15:32 UTC
Created attachment 213682 [details]
Patch for utf8proc v2

Fix Perl dependency, reported by mat@
Comment 2 Matthias Andree freebsd_committer 2020-05-07 22:13:06 UTC
Daniel, does this need an exp-run, or PORTREVISION bumps since the .so file is renamed - did you make at least a spot check of "consumer" ports (= ports that depend on utf8proc, especially its library)?

You can easily find those out from /usr/ports/INDEX-* or freshports.
Comment 3 daniel.engberg.lists 2020-05-07 22:48:42 UTC
I don't see anything significant that would require an exp-run?
https://github.com/JuliaStrings/utf8proc/releases/tag/v2.5.0

Subversion and tmux picks it up as expected, I didn't test more ports however.
Comment 4 daniel.engberg.lists 2020-05-23 12:33:35 UTC
Anything else I can do regarding this PR?
Comment 5 Matthias Andree freebsd_committer 2020-05-24 01:06:10 UTC
maintainer timeout (32 days)
Comment 6 commit-hook freebsd_committer 2020-05-24 01:08:49 UTC
A commit references this bug:

Author: mandree
Date: Sun May 24 01:07:58 UTC 2020
New revision: 536359
URL: https://svnweb.freebsd.org/changeset/ports/536359

Log:
  textproc/utf8proc: Update to 2.5.0, enable 'make test'

  All 15 direct requisites build successfully after utf8proc update.
  Not bumping dependent ports' PORTREVISIONS since the name of the
  shlib remains unchanged and the changes are minor.

  PR:		245818
  Submitted by:	Daniel Engberg

Changes:
  head/textproc/utf8proc/Makefile
  head/textproc/utf8proc/distinfo
Comment 7 Matthias Andree freebsd_committer 2020-05-24 01:15:21 UTC
Whoops, forgot the "Approved by:" line mentioning the timeout in the commit log. Sorry.